<template>
	<view class="container">
		<!-- #ifdef H5 -->
		<view style="color: #fff;">
			<tn-nav-bar backgroundColor="#26B3A0" :bottomShadow="false" @rightClick="jumpScoreRed">审核结果
			</tn-nav-bar>
			<view :style="{ height: tobheight + 'px' }"></view>
		</view>
		<!-- #endif -->
		<view class="content">
			<view class="topIcon">
				<icon type="success" size="54" color="#26B3A0" />
				<view class="txt">
					审核成功
				</view>
			</view>
			<view class="tips">
				<icon type="info" color="#26B3A0" size="22" style="margin-right: 20rpx;" />到 <text
					style="text-decoration: underline;" @click="jumpYue">账户余额</text>查看佣金信息
			</view>


			<view class="line">
			</view>
			<view class="sunTitle">
				反馈内容
			</view>

			<view class="content2">
				{{detail.feedback_reason}}
			</view>
			<view class="sunTitle">
				反馈图片
			</view>

			<view class="chooscontainer">
				<view class="addpicall" v-for="(item,index) in pic_url" :key="index">
					<image style="width: 184rpx;height:186rpx;border-radius: 20rpx;" @click="previewImg(item)"
						:src="item" mode="aspectFill"></image>
				</view>
			</view>
		</view>
	</view>
</template>

<script>
	import {
		myTaskOrderDetail
	} from '@/api/my/index.js'
	export default {
		components: {},
		data() {
			return {
				tobheight: 45,
				detail: {}
			};
		},
		computed: {

		},
		watch: {

		},
		async onLoad(o) {
			let res = await myTaskOrderDetail({
				task_order_id: o.id
			})
			if (res.code == 0) {
				this.detail = res.data
				this.pic_url = this.detail.feedback_image.split(',')
			}
			console.log('审核成功--任务详情', this.detail);
		},
		onReady() {

		},
		onShow() {

		},
		onUnload() {

		},
		methods: {
			goPay() {
				uni.navigateTo({
					url: '/pages/index/scorePaySuc/index'
				})
			},
			jumpYue() {
				uni.navigateTo({
					url: '/pages/user/commission/commission-log'
				})
			},
			//点击预览图片
			previewImg(item) {
				uni.previewImage({
					current: item,
					urls: this.pic_url, //存放图片的数组
					loop: true,
					indicator: 'default'
				})
			},
		}
	};
</script>

<style lang="scss" scoped>
	@import './index.scss';
</style>